# $Revision: 1.15 $, $Date: 2006/05/31 12:55:02 $
%define		ocaml_ver	1:3.09.2
Summary:	Simplistic XML parser for OCaml
Summary(pl):	Prosty analizator skadniowy XML-a dla OCamla
Name:		ocaml-tony
Version:	0.9
Release:	8
License:	BSD
Group:		Libraries
URL:		http://www.st.cs.uni-sb.de/~lindig/src/index.html
Source0:	http://www.st.cs.uni-sb.de/~lindig/src/ocaml-tony/tony-%{version}.tar.gz
# Source0-md5:	4dbf125c149a491f1c8dffef91792cb5
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tony is a simple XML parser and pretty printer. The parser is non
validating and does neither comply fully to the standard nor does it
use the DOM for internal representation of a parsed XML file.

%description -l pl
Tony jest prostym analizatorem skadniowym XML-a. Moe te drukowa
XML z wciciami. Analizator nie sprawdza wejcia wzgldem DTD, nie
jest te w peni kompatybilny ze standardem, nie uywa nawet DOM jako
wewntrznej reprezentacji.

%package devel
Summary:	Simplistic XML parser for OCaml - development part
Summary(pl):	Prosty analizator skadniowy XML-a dla OCamla - cze programistyczna
Group:		Development/Libraries
%requires_eq	ocaml

%description devel
Tony is a simple XML parser and pretty printer. The parser is non
validating and does neither comply fully to the standard nor does it
use the DOM for internal representation of a parsed XML file.

This package contains files needed to develop OCaml programs using the
Tony library.

%description devel -l pl
Tony jest prostym analizatorem skadniowym XML-a. Moe te drukowa
XML z wciciami. Parser nie sprawdza wejcia wzgldem DTD, nie jest
te w peni kompatybilny ze standardem, nie uywa nawet DOM jako
wewntrznej reprezentacji.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
biblioteki Tony.

%prep
%setup -q -n tony-%{version}

%build
rm -f mylib/rc_scan.ml
%{__make} clean
%{__make}
%{__make} all.opt
ocamlc -a -o tony.cma \
	error.cmo mylib/{lc,pp,std,pc}.cmo xml.cmo xmlstate.cmo \
	xmlparse.cmo xmlscan.cmo
ocamlopt -a -o tony.cmxa \
	error.cmx mylib/{lc,pp,std,pc}.cmx xml.cmx xmlstate.cmx \
	xmlparse.cmx xmlscan.cmx

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/tony
install *.cm[ixa]* *.a $RPM_BUILD_ROOT%{_libdir}/ocaml/tony

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r main.ml this.ml $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/tony
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/tony/META <<EOF
# Specifications for the "tony" library:
requires = ""
version = "%{version}"
directory = "+tony"
archive(byte) = "tony.cma"
archive(native) = "tony.cmxa"
linkopts = ""
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc *.mli README CHANGES mylib/{lc,pp,std}.mli mylib/COPYING
%dir %{_libdir}/ocaml/tony
%{_libdir}/ocaml/tony/*.cm[ixa]*
%{_libdir}/ocaml/tony/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/tony

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-tony.spec,v $
Revision 1.15  2006/05/31 12:55:02  glen
- rel 8 (rebuild with ocaml-3.09.2)

Revision 1.14  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.13  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.12  2005/12/10 18:48:46  baggins
- release 5 for ocaml 3.09.0

Revision 1.11  2005/10/11 20:25:54  paszczus
- release up to rebuild with new ocaml

Revision 1.10  2005/05/21 17:27:58  ankry
- rel. 3

Revision 1.9  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.8  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.7  2003/09/04 09:30:38  malekith
- up to 0.9; added url

Revision 1.6  2003/09/03 21:42:10  malekith
- release 2 for ocaml 3.07

Revision 1.5  2003/06/17 14:26:54  ankry
- md5, removed outdated URL

Revision 1.4  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.2  2002/05/13 14:05:12  malekith
- copied description from -devel where there was "No main package."

Revision 1.1  2002/05/13 11:45:31  malekith
- inital; from scratch


